petsc-3.4.2 2013-07-02

# MatPtAPSymbolic

Creates the (i,j) structure of the matrix product C = P^T * A * P

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPtAPSymbolic(Mat A,Mat P,PetscReal fill,Mat *C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| P | - the projection matrix

### Output Parameters

C -the (i,j) structure of the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently only implemented for pairs of SeqAIJ matrices and classes which inherit from SeqAIJ. C will be of type MATSEQAIJ. The product is computed using this (i,j) structure by calling MatPtAPNumeric().

### See Also

MatPtAP(), MatPtAPNumeric(), MatMatMultSymbolic()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages